Bug 470724 - [FutureFeature] SIS driver support for SiS 771/671
[FutureFeature] SIS driver support for SiS 771/671
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 516417 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 10:54 EST by Irwan Siajadi
Modified: 2017-07-20 14:40 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log with xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64 (42.47 KB, text/plain)
2009-11-05 19:16 EST, Danilo Câmara
no flags Details

  None (edit)
Description Irwan Siajadi 2008-11-09 10:54:19 EST
Description of problem:
Current sis driver doesn't support SIS671, only vesa driver works. Therefore all SIS671 users doesn't have accelerated support at all.

Possible solution: port/merge SIS671 driver support from iMedia's sis-drv source code, available here: http://www.linuxconsulting.ro/xorg-drivers/src/xf86-video-sis-imedia.tgz . Can anyone port/merge it, please? 


Version-Release number of selected component (if applicable):
ALL

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
N/A

Additional info:
lspci shows:
"
...
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter (rev 10)
..."
Comment 1 Bjorge Solli 2009-02-10 03:55:27 EST
This doesn't work in Fedora 10 either.
Comment 2 Diogo Pereira 2009-04-05 11:29:46 EDT
What is missing is the actual driver. Without the driver is not possible (at least so far) to adjust the video correctly. 

In other forums, only the distribution Satux has this driver originally authorized by the SIS. 

Att, Diogo
Comment 3 Bug Zapper 2009-06-09 23:13:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Danilo Câmara 2009-06-11 17:08:21 EDT
Doesn't work in Fedora 11 either.

Besides accelerated support, vesa doesn't support native resolution 1280x800 of some notebooks with SiS 771/671.
Comment 5 Irwan Siajadi 2009-06-14 03:36:58 EDT
There's driver that support 771/671, the source code can be downloaded from:
http://ncc-1701a.homelinux.net/~linux-sis/downloads/xorg-driver-sis671_0.9.tar.gz

Here's the story on that driver .........
1. I took the original driver that supports 671/771 from: http://www.linuxconsulting.ro/xorg-drivers/
2. I modified it to get it compiled on new xorg server, namely the new pci_struct format. I took the modification from xorg's SIS source code: http://cgit.freedesktop.org/xorg/driver/xf86-video-sis/
3. The result is somewhat working driver (more importantly compilable), but has many bugs. As I don't have the required expertise, so I uploaded it to rapidshare and posted in fedoraforum: http://forums.fedoraforum.org/showthread.php?t=195483
4. Bartlomiej Gerlich (Ubuntu forums) fixed the bugs and get the 2D acceleration working. http://ohioloco.ubuntuforums.org/showthread.php?t=958967&page=12

Question is, can we included this as temporary solution in rawhide or Fedora 12 until we get proper solution? (By proper I mean the support code is integrated into xorg's SIS driver.)
Comment 6 Dave Airlie 2009-06-14 19:56:49 EDT
Not really.

The correct method is to fix the upstream X.org driver with patches taken from the tarball you have.

Then everyone benefits and Fedora doesn't have to carry a crappy solution for ever.

If we let in a temporary hack, it probably won't ever happen as there is no X.org SIS maintainer anymore.
Comment 7 Matěj Cepl 2009-08-09 10:56:43 EDT
*** Bug 516417 has been marked as a duplicate of this bug. ***
Comment 8 Frank Murphy 2009-08-09 11:05:05 EDT
(In reply to comment #6)
> Not really.
> 
> The correct method is to fix the upstream X.org driver with patches taken from
> the tarball you have.
> 
> Then everyone benefits and Fedora doesn't have to carry a crappy solution for
> ever.
> 
> If we let in a temporary hack, it probably won't ever happen as there is no
> X.org SIS maintainer anymore.  

If that within Fedora or Upstream?
Comment 9 Matěj Cepl 2009-08-09 11:16:08 EDT
(In reply to comment #8)
> If that within Fedora or Upstream?  

Sorry, I don't understand the question.
Comment 10 Frank Murphy 2009-08-09 11:23:33 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > If that within Fedora or Upstream?  
> 
> Sorry, I don't understand the question.  

No Maintainer in Fedora or up at Xorg?
Comment 11 Frank Murphy 2009-08-09 11:27:05 EDT
http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads

Will this top note, work as temporary solution in Fedora?
Comment 12 Frank Murphy 2009-08-09 12:48:15 EDT
Have quick working *fix* no codeing skills required.

I use F11 64 bit Gnome
su\sudo yum install system-config-display

su\sudo  firefox http://www.xs4all.nl/~mgj1/SiS/

http://www.xs4all.nl/~mgj1/SiS/
sis671_drv.so save to 

/usr/lib64/xorg/modules/drivers/

then go to:
System > Administration > Display
and sis617 is there under hardware

apply, and it sets up a correct xorg.conf
oh reboot, it may flicker slightly on bootup.
Comment 13 billy 2009-08-11 02:59:20 EDT
(In reply to comment #12)
> Have quick working *fix* no codeing skills required.
> 
> I use F11 64 bit Gnome
> su\sudo yum install system-config-display
> 
> su\sudo  firefox http://www.xs4all.nl/~mgj1/SiS/
> 
> http://www.xs4all.nl/~mgj1/SiS/
> sis671_drv.so save to 
> 
> /usr/lib64/xorg/modules/drivers/
> 
> then go to:
> System > Administration > Display
> and sis617 is there under hardware
> 
> apply, and it sets up a correct xorg.conf
> oh reboot, it may flicker slightly on bootup.  

The above solution did not work for me. I am running a completed updated version of Fedora 10 i386 and this is my lspci output

VGA compatible controller: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter (rev 10) (prog-if 00 [VGA controller])

I get a blank screen after restarting X after using the sis671_drv.so file . Had to return back to vesa.
Comment 14 Frank Murphy 2009-08-11 03:42:32 EDT
I would say if you brought your problem back into the main fedora-list.
There may be many using F10, you might direct you to a cause for this.
Listing the bug url

As there is no official maintainer for the sis
Comment 15 Danilo Câmara 2009-08-11 08:16:24 EDT
(In reply to comment #12)
> Have quick working *fix* no codeing skills required.
> 
> I use F11 64 bit Gnome
> su\sudo yum install system-config-display
> 
> su\sudo  firefox http://www.xs4all.nl/~mgj1/SiS/
> 
> http://www.xs4all.nl/~mgj1/SiS/
> sis671_drv.so save to 
> 
> /usr/lib64/xorg/modules/drivers/
> 
> then go to:
> System > Administration > Display
> and sis617 is there under hardware
> 
> apply, and it sets up a correct xorg.conf
> oh reboot, it may flicker slightly on bootup.  

Would you please give some instructions to those willing to compile it? Did you get the sources from the link you mentioned in comment #11 (http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads) ? Which file did you use? Did you apply any additional patch?

Thanks
Comment 16 Frank Murphy 2009-08-11 08:31:08 EDT
(In reply to comment #15)
> (In reply to comment #12)
> > Have quick working *fix* no codeing skills required.
> > 
> > I use F11 64 bit Gnome
> > su\sudo yum install system-config-display
> > 
> > su\sudo  firefox http://www.xs4all.nl/~mgj1/SiS/
> > 
> > http://www.xs4all.nl/~mgj1/SiS/
> > sis671_drv.so save to 
> > 
> > /usr/lib64/xorg/modules/drivers/
> > 
> > then go to:
> > System > Administration > Display
> > and sis617 is there under hardware
> > 
> > apply, and it sets up a correct xorg.conf
> > oh reboot, it may flicker slightly on bootup.  
> 
> Would you please give some instructions to those willing to compile it? Did you
> get the sources from the link you mentioned in comment #11
> (http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads) ? Which
> file did you use? Did you apply any additional patch?
> 
> Thanks  

All, I did wan mention a url, and asked a Q? Comment 11, has nothing to do with comment 12.  Both are just the result of Google.
Comment 17 Matěj Cepl 2009-11-05 13:20:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 18 Danilo Câmara 2009-11-05 19:11:58 EST
Since there was many other unrelated packages in '*-updates-testing', I did:

yum update xorg-x11-* --enablerepo=updates-testing

and got:

Updated:
  xorg-x11-drv-evdev.x86_64 0:2.2.6-1.fc11                                      
  xorg-x11-drv-intel.x86_64 0:2.7.0-8.fc11                                      
  xorg-x11-drv-nouveau.x86_64 1:0.0.12-41.20090528git0c17b87.fc11               
  xorg-x11-drv-openchrome.x86_64 0:0.2.904-1.fc11.1                             
  xorg-x11-server-Xnest.x86_64 0:1.6.4-0.3.fc11                                 
  xorg-x11-server-Xorg.x86_64 0:1.6.4-0.3.fc11                                  
  xorg-x11-server-common.x86_64 0:1.6.4-0.3.fc11                                

The only improvement is that now X will fall back automatically to vesa driver. If I remember, before I got no graphics mode at all and had to set vesa driver manually in xorg.conf.

There was no update to xorg-x11-drv-sis, so I wasn't expecting too much.
Comment 19 Danilo Câmara 2009-11-05 19:16:46 EST
Created attachment 367761 [details]
Xorg.log with xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64

This log was generated with no /etc/X11/xorg.conf file.
Comment 20 Antonio 2009-11-07 09:05:55 EST
I downloaded the FC12 Beta live CD and just started it - and The only resolution that it takes is 800x600 - same case in the past  versions of Fedora - as it does not had a /etc/X11/Xorg.conf file - I could not see if this is what driver is it using - but for sure it does not accept more than 800x600 - I will try a Xorg -configure to see if manually canfiguring can do something - but for now - no improvements on the situation.
Comment 21 billy 2009-11-08 08:02:23 EST
I can confirm that this bug is still prevalent as observed while testing using the FC12 Beta Live CD. Symptoms are similar to the ones mentioned in the comment above. The default resolution is 800x600 which is also the maximum resolution allowed. I hope that sis releases the source of some of their drivers, so that we can atleast get a 2D working driver in the future. I hope the manufacture releases us from our suffering.
Comment 22 Irwan Siajadi 2009-11-08 10:38:11 EST
Sorry I don't have access to the VGA now as the unit has been used on work place.
Comment 23 Allann Jones 2009-11-19 16:24:46 EST
The driver for 'SiS 771/671 PCIE VGA Display Adapter' is not working on Fedora 12. Only works in VESA mode.
Comment 24 Bug Zapper 2010-04-27 08:19:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Turgut Kalfaoglu 2010-06-26 00:42:38 EDT
The problem still exists in Fedora 13.

I'm having lots of trouble finding a driver that works with Fedora 13 and SIS 771/661 laptop (it's a Casper W765S VTT4400D).. Currently is uses the VESA driver after its install.
Comment 26 Allann Jones 2010-06-26 01:07:07 EDT
There is a driver for recents versions of Xorg server on http://estebanordano.com.ar/sis-m671m672-driver-for-xorg-xserver-7-5-on-debian-sidux/

The driver has only 2D capabilities but it is good.

This driver follows the same code design that Xorg sis driver follows, but it was not merget to the mainstream driver until now.

A 3D version is obtained through SiS distributors, but the distributed version is old and doesn't support recent versions of Xorg.

Regards.
Comment 27 Bug Zapper 2010-06-28 06:48:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 28 Victor A. Safronov 2013-07-08 03:13:01 EDT
Bug is still exist in F19 and probably should be reopened.
Comment 29 NU113R 2013-10-28 10:25:39 EDT
I am facing the same problem in F19. It must be reopened.

Note You need to log in before you can comment on or make changes to this bug.